accounts/urls.py
from django.urls import path
from . import views

app_name = 'accounts'

urlpatterns = [
    path('login/', views.login_view, name = 'login_view'),
    path('logout/', views.logout_view, name = 'logout_view'),
    path('signup/', views.signup_view, name = 'signup_view'),
]

books/urls.py
from django.urls import path
from . import views

app_name = 'books'

urlpatterns = [
    path('', views.books_index, name = 'books_index'),
]

homepage/urls.py
from django.urls import path
from . import views

app_name = 'homepage'

urlpatterns = [
    path('', views.homepage_index, name = 'homepage_index')
]

story/urls.py
from django.contrib import admin
from django.urls import path, include

urlpatterns = [
    path('admintolhastolhasyeah/', admin.site.urls),
    path('', include('homepage.urls')),
    path('books/', include('books.urls')),
    path('accounts/', include('accounts.urls'))
]

accounts/models.py
from django.db import models

# Create your models here.

books/models.py
from django.db import models

# Create your models here.

homepage/models.py
from django.db import models

# Create your models here.

accounts/views.py
from django.shortcuts import render, redirect
from django.contrib.auth.forms import UserCreationForm, AuthenticationForm
from django.contrib.auth import login, logout
from django.contrib.auth.decorators import login_required
from django.views.decorators.csrf import csrf_protect

# Create your views here.

def signup_view(request):
	if request.method=="POST":
		form = UserCreationForm(request.POST)
		if form.is_valid():
			user=form.save()
			#log the user in
			login(request, user)
			return redirect("homepage:homepage_index")
	else:
		form = UserCreationForm()
	
	if request.method == "GET":
		if request.user.is_authenticated:
            # logic user
			return redirect ('homepage:homepage_index')
		else:
			return render(request, "accounts/signup.html", {"form": form})
	return render(request, "accounts/signup.html", {"form": form})
	


def login_view(request):
	if request.method=="POST":
		form=AuthenticationForm(data=request.POST)
		if form.is_valid():
			#log in the user
			user=form.get_user()
			login(request, user)
			return redirect("homepage:homepage_index")
	else:
		form=AuthenticationForm()
	return render(request, "accounts/login.html", {"form": form})

# @csrf_protect
@login_required
def logout_view(request):
	if request.method=="POST":
		logout(request)
		return redirect("homepage:homepage_index")
	return redirect("homepage:homepage_index")


        

books/views.py
from django.shortcuts import render
from django.http import HttpResponse, JsonResponse
import json
# import django.http.request

def books_index(request):
    return render (request, 'books/books.html')

homepage/views.py
from django.shortcuts import render

def homepage_index(request):
    return render(request, 'homepage/index.html')

accounts/templates/accounts/login.html
{% extends "base.html" %}
{% load static %}
{% block title %}Login{% endblock %}
{% block style %}
	<link href="{% static 'accounts/css/accounts.css' %}" rel="stylesheet">
{% endblock %}
{% block content %}
	<div class = "container">
		<form action="{% url 'accounts:login_view' %}" class="text-center border border-light p-5" method="post">
			<p class="h4 mb-4 mt-5" id="greeting_login">Login</p>
			{% csrf_token %}
			{{ form }}
			{% if request.GET.next %}
				<input type="hidden" name="next" value="{{ request.GET.next }}">
			{% endif %}	
			<button class="btn btn-info btn-block my-4" type="submit">Login</button>
			<p>Not a member?
				<a href="{% url 'accounts:signup_view' %}">Register</a>
			</p>
		</form>
	</div>	
{% endblock %}
{% block script %}
	<script>
		$(document).ready(function () {
			$("<br/>").insertAfter("input");
		});
	</script>
{% endblock %}

accounts/templates/accounts/signup.html
{% extends "base.html" %}
{% load static %}
{% block title %}Signup{% endblock %}
{% block style %}
	<link href="{% static 'accounts/css/accounts.css' %}" rel="stylesheet">    
{% endblock %}
{% block content %}

	<form action="{% url 'accounts:signup_view' %}" class="text-center border border-light p-5" method="post">
		<p class="h4 mb-4 mt-5 signup" id="greeting_signup">Signup</p>
		{% csrf_token %}
		{{ form }}
		{% if request.GET.next %}
			<input type="hidden" name="next" value="{{request.GET.next}}">
		{% endif %}	
		<button class="btn btn-info btn-block my-4" type="submit">Signup</button>
	</form>
	
{% endblock %}
{% block script %}
	<script>
		$(document).ready(function () {
			$("<br/>").insertAfter("input");
		});
	</script>
{% endblock %}

books/templates/books/books.html
{% extends "base.html" %}
{% load static %}
{% block title %}Books{% endblock %}
{% block style %}
    <link href="{% static 'books/css/books.css' %}" rel="stylesheet">
{% endblock %}
{% block content %}

    <!--Main layout-->
    <main class="container">
        <div class = "text-center">
            <h1 id = "greeting_books" class="books_head h1-responsive wow bounce text-center mt-5">Find your book here!</h1>	
        </div>

        <!--Section: search-->
        <section id="search" class="py-5">
            <div class = "d-flex justify-content-center">
                <form class="form-search row ml-sm-2 ml-xs-5 mr-2 form-search form-inline md-form form-sm active-purple active-purple-2 mt-2">
                    <input class="form-control form-control-sm" id = "search_field" type="text" placeholder="Search book here..." aria-label="Search">
                </form>
                <button type="button" class="btn btn-info p-2" id = "search_button">
                        <i class="fas fa-search" aria-hidden="true"></i>
                </button>
            </div>  
        </section>
        <!--Section: search-->

        <div class = "wow slideInUp">
            
            <!--Section: list_books-->
            <section id = "list_books" class = "row">
                
            </section>
            <!--Section: list_books-->
        </div>
    </main>
    <!--Main layout-->
{% endblock %}

{% block script %}
    <script type="text/javascript" src="{% static 'books/js/books.js' %}"></script>
{% endblock %}

homepage/templates/homepage/index.html
{% extends "base.html" %}
{% load static %}
{% block title %}Tolhas's Website{% endblock %}
{% block style %}
    <link href="{% static 'homepage/css/homepage.css' %}" rel="stylesheet">
{% endblock %}
{% block content %}
    <!-- Jumbotron -->
    <div class="jumbotron">
        <div class="d-flex justify-content-center align-items-center">
            <!-- Content -->
            <div class="container-fluid">
                <div class="row wow fadeIn">
                    <div class="col-md-12 mb-4 white-text text-left wow fadeInLeft">
                        {% if user.is_authenticated %}
                        <h1 id = "greetings-user" class="h1-responsive display-3 font-weight-bold white-text mb-0 pt-md-5 pt-5">Hello {{user.username}}!</h1>
                        {% else %}
                        <h1 class="h1-responsive display-3 font-weight-bold white-text mb-0 pt-md-5 pt-5">Hello!</h1>
                        {% endif %}
                        <h4 class="subtext-header-responsive mt-2 mb-4" id = 'greeting'>I'm Tolhas Parulian Jonathan</h4>
                    </div>
                </div>
                <div class="wow fadeInRight d-flex justify-content-end intro-img-container">
                    <img src="{% static 'homepage/img/Tolhas.png' %}" alt="Tolhas Intro" class="img-fluid intro-img">
                </div>
            </div>
        </div>

    </div>
    <!-- Full Page Intro -->

    <!--Main layout-->
    <main class="container">
        <div class="d-flex justify-content-around wow fadeIn circle-skills-group">
            <div class="circle-skills h4-responsive d-flex align-items-center justify-content-center">
                IT Enthusiast
            </div>
            <div class="circle-skills h4-responsive d-flex align-items-center justify-content-center">
                Optimistic
            </div>
            <div class="circle-skills h4-responsive d-flex align-items-center justify-content-center">
                Creative
            </div>
        </div>

        <!--Section: about-->
        <section id="about" class="py-5">
            <h2 class="h1-responsive mb-5 mt-3 section-title">About Me</h2>

            <div class = "d-flex justify-content-center align-items-center section-description wow fadeIn" >
                <div class = "d-flex view overlay col-md-4 mr-5 about-me-over">
                    <img src="{% static 'homepage/img/aboutFoto.jpg' %}" alt="About Tolhas" class = "about-me-image img'-fluid">
                    <a class = "p-0 m-0 d-flex">
                        <div class=" p-0 m-0 mask waves-effect rgba-white-slight"></div>
                    </a>
                </div>                        
                <p class="col-md-6 wow fadeIn">
                    I am a computer science student. Currently, drill front-end and learn back-end.
                    I like to design and edit a web with a text editor.
                    Besides, I do like edit video and have interests in computer things.
                </p>
            </div>

            <h5 class="font-weight-bold mb-3">Computer Skills</h5>
            <div class = "wow slideInUp d-flex row justify-content-around computer-skills-group">
                <span class="col-auto badge badge-pill badge-warning skills">HTML</span>
                <span class="col-auto badge badge-pill badge-warning skills">CSS</span>
                <span class="col-auto badge badge-pill badge-warning skills">JavaScript</span>
                <span class="col-auto badge badge-pill badge-warning skills">Python</span>
                <span class="col-auto badge badge-pill badge-warning skills">Java</span>
                <span class="col-auto badge badge-pill badge-warning skills">Video Editing</span>
                <span class="col-auto badge badge-pill badge-warning skills">Animation</span>
                <span class="col-auto badge badge-pill badge-warning skills">Windows</span>
                <span class="col-auto badge badge-pill badge-warning skills">Linux</span>
                <span class="col-auto badge badge-pill badge-warning skills">Git</span>
                <span class="col-auto badge badge-pill badge-warning skills">Heroku</span>
                <span class="col-auto badge badge-pill badge-warning skills">Bootstrap</span>
            </div>
        </section>
        <!--Section: about-->

        <div class = "wow slideInUp">
            
            <!--Section: activities-->
            <section id = "activities">
                <div class="card">

                    <!-- Card header -->
                    <div class="card-header accordion-title waves-effect z-depth-1 d-flex justify-content-between">
                            <h5 class="mb-0 white-text h5-responsive">
                                Activities
                            </h5>
                            <div class = "arrow">
                                <i class="fas fa-angle-down white-text h5-responsive"></i>
                            </div>
                    </div>
            
                    <!-- Card body -->
                    <div class = "accordion-content rgba-grey-light">
                        <div class="card-body mb-1 d-flex justify-content-between">
                            <ul>
                                <li>Badminton</li>
                                <li>Music</li>
                                <li>Film</li>
                                <li>Learn</li>
                                <li>Online Shop</li>
                            </ul>
                            <ul>
                                <li>Watch</li>
                                <li>Basketball</li>
                                <li>Eat</li>
                                <li>Sleep</li>
                                <li>Breath</li>
                            </ul>
                        </div>
                    </div>
                </div>
            </section>
            <!--Section: activities-->

            <!--Section: Experiences-->
            <section id="experiences">
                <div class="card">
                    <div class="card-header accordion-title waves-effect z-depth-1 d-flex justify-content-between">
                            <h5 class="mb-0 white-text h5-responsive">
                                Experiences
                            </h5>
                            <div class = "arrow">
                                <i class="fas fa-angle-down white-text h5-responsive"></i>
                            </div>
                    </div>

                    <div class = "accordion-content rgba-grey-light">
                        <div class="card-body mb-1">
                            <div class="row">
                                <p class="col-sm-6 experiences-content-left">
                                    2019-Present
                                    <br>
                                    <strong>Staff at Bismit Bureau BEM Fasilkom</strong>
                                    <br>
                                    Bismit Bureau is a bureau which is supporting the BEM
                                    Fasilkom UI internal in financial terms. I currently support
                                    BISMIT work program, especially in the locker and IT
                                    project program.
                                </p>
                            </div>

                            <div class="row d-flex justify-content-sm-end">
                                <p class="col-sm-6 experiences-content-right">
                                    2019 - Present
                                    <br>
                                    <strong>Staff COMPFEST 11</strong>
                                    <br>
                                    Supported Startup Academy in making ToR and searching also inviting jury,
                                    speaker, and mentor.
                                </p>
                            </div>

                            <div class="row d-flex">
                                <p class="col-sm-6 experiences-content-left">
                                    December 2018 – January 2019
                                    <br>
                                    <strong>Documentation staff at Wisuda Ganjil Fasilkom</strong>
                                    <br>
                                    Edited and animated dedication video.
                                </p>
                            </div>

                            <div class="row d-flex justify-content-sm-end">
                                <p class="col-sm-6 experiences-content-right">
                                    2016 – 2017
                                    <br>
                                    <strong>Public relations at KIR SMAN 47 Jakarta</strong>
                                    <br>
                                    KIR is an organization about theory and practice from science.
                                    Here, I compiled and implemented work program creatively.
                                </p>
                            </div>
                        </div>
                    </div>
                </div>  
            </section>
            <!--Section: Experiences-->

            <!--Section: achievements-->
            <section id="achievements">
                <div class="card">
                    <div class="card-header accordion-title waves-effect z-depth-1 d-flex justify-content-between">
                            <h5 class="mb-0 white-text h5-responsive">
                                Achievements
                            </h5>
                            <div class = "arrow">
                                <i class="fas fa-angle-down white-text h5-responsive"></i>
                            </div>
                    </div>

                    <div class = "accordion-content rgba-grey-light">
                        <div class="card-body mb-1">
                            <div class="row d-flex">
                                <p class="col-sm-6 experiences-content-left">
                                    2017
                                    <br>
                                    <strong>Participant of Olimpiade Sains Nasional</strong>
                                    <br>
                                    Participant in OSN until pre-province level. (Field: Astronomy)
                                </p>
                            </div>

                            <div class="row d-flex justify-content-sm-end">
                                <p class="col-sm-6 experiences-content-right">
                                    2016
                                    <br>
                                    <strong>1<sup>st</sup> Winner of Olimpiade Penelitian Siswa Indonesia 
                                    </strong>
                                    <br>
                                    Reached the first winner of OPSI with Piezomulator project. (JakSel 1 area, field: sains & tek)
                                </p>
                            </div>
                        </div>
                    </div>
                </div>  
            </section>
            <!--Section: achievements-->
        </div>




    </main>
    <!--Main layout-->
{% endblock %}

{% block script %}
    <script type="text/javascript" src="{% static 'homepage/js/homepage.js' %}"></script>
{% endblock %}

templates/base.html
<!DOCTYPE html>
{% load static %}
<html lang="en">

<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta http-equiv="x-ua-compatible" content="ie=edge">
  <title>
    {% block title %}{% endblock %} 
  </title>
  <!-- Font Awesome -->
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.8.2/css/all.css" >
  <!-- Bootstrap core CSS -->
  <link href="{% static 'css/bootstrap.min.css' %}" rel="stylesheet">
  <!-- Material Design Bootstrap -->
  <link href="{% static 'css/mdb.min.css' %}" rel="stylesheet">
  <link href="{% static 'css/style.css' %}" rel="stylesheet">
  {% block style %}{% endblock %}
</head>

<body>
        <!-- Main navigation -->
    <header>
      <!-- Navbar -->
      <nav class="navbar navbar-expand-lg navbar-dark fixed-top scrolling-navbar primary-color navbar-writing">
          <div class="container">
              {% if user.is_authenticated %}
                  <a class="navbar-brand mb-1" href="{% url 'homepage:homepage_index' %}">{{user.username}}</a>
              {% else %}
                  <a class="navbar-brand" href="{% url 'homepage:homepage_index' %}">Tolhas</a>
              {% endif %}
              <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarToggler"
                  aria-controls="navbarToggler" aria-expanded="false" aria-label="Toggle navigation">
                  <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarToggler">
                  <ul class="navbar-nav mr-auto smooth-scroll">
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'homepage:homepage_index' %}#home">Home</a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="{% url 'books:books_index' %}">Books</a>
                      </li>
                      {% if user.is_authenticated %}
                        <li class="nav-item">
                            <form action="{% url 'accounts:logout_view' %}" method="post">
                                    {% csrf_token %}
                                    <button type="submit" class="nav-link" id = "logout">Logout</button>
                            </form>
                        </li>
                      {% else %}
                         <li class="nav-item">
                            <a class="nav-link" href="{% url 'accounts:login_view' %}">Login</a>
                        </li>
                        <li class="nav-item">
                                <a class="nav-link" href="{% url 'accounts:signup_view' %}">Signup</a>
                        </li>
                      {% endif %}
                  </ul>
                  <!-- Social Icon  -->
                  <ul class="navbar-nav nav-flex-icons">
                      <li class="nav-item">
                          <a class="nav-link" href="https://www.facebook.com/tolhas.jonathan.7">
                              <i class="fab fa-facebook light-green-text-2"></i>
                          </a>
                      </li>
                      <li class="nav-item">
                          <a class="nav-link" href="https://github.com/tolhassianipar">
                              <i class="fab fa-github light-green-text-2"></i>
                          </a>
                      </li>
                      <li class="nav-item d-flex align-items-center m-2">
                          <label class="switch m-0 p-0">
                              <input type="checkbox" id = 'theme'>
                              <span class="slider round"></span>
                          </label>
                          <p class = "m-0 ml-1 mr-1 text-white" id = "change-theme">Ubah Tema</p>
                          <i class="fas fa-moon"></i>
                      </li>
                  </ul>
              </div>
          </div>
      </nav>
      <!-- Navbar -->

    </header>

    <div class="body-container">
        {% block content %}
        {% endblock %}
    </div>

   <!-- Footer -->
    <footer class="page-footer font-small pt-4">

            <div class="container">

                <ul class="list-unstyled list-inline text-center">
                    <li class="list-inline-item">
                    <a class="btn-floating btn-fb mx-1" href="https://www.facebook.com/tolhas.jonathan.7">
                        <i class="fab fa-facebook"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                    <a class="btn-floating btn-li mx-1" href="https://www.linkedin.com/in/tolhas-jonathan-9a810a180">
                        <i class="fab fa-linkedin"> </i>
                    </a>
                    </li>
                    <li class="list-inline-item">
                        <a class="btn-floating btn-li mx-1" href="https://github.com/tolhassianipar">
                            <i class="fab fa-github"></i>   
                        </a>
                    </li>
                </ul>
        
            </div>

            <!-- Copyright -->
            <div class="footer-copyright text-center py-3">Tolhas's Website Reference:
                <a href="https://mdbootstrap.com/bootstrap-tutorial/"> MDBootstrap.com</a>
            </div>
    
    </footer>
    <!-- Footer -->


    <button onclick="topFunction()" id="myBtn" title="back to top" class = "btn btn-secondary">
        <i class="fas fa-arrow-up"></i>
    </button>

    <!-- SCRIPTS -->
    <!-- JQuery -->
    <script type="text/javascript" src="{% static 'js/jquery-3.4.1.min.js' %}"></script>
    <!-- Bootstrap tooltips -->
    <script type="text/javascript" src="{% static 'js/popper.min.js' %}"></script>
    <!-- Bootstrap core JavaScript -->
    <script type="text/javascript" src="{% static 'js/bootstrap.min.js' %}"></script>
    <!-- MDB core JavaScript -->
    <script type="text/javascript" src="{% static 'js/mdb.min.js' %}"></script>
    <script type="text/javascript" src="{% static 'js/base.js' %}"></script>
    {% block script %}
    {% endblock %}
</body>

</html>